#include <iostream>
#include <math.h>
#include <stdio.h>
using namespace std;


int main()
{
    int t , matrica [100000][3];
    cin >> t;
    for (int vrsta = 0; vrsta < t; vrsta++){
        for (int kolona = 0; kolona < 3; kolona++){
            cin >> matrica [vrsta][kolona];
        }
    }
    for(int vrsta = 0; vrsta < t; vrsta++){
        if((matrica[vrsta][0] > matrica[vrsta][2]) && (matrica[vrsta][0] < matrica[vrsta][1])){
            if(((matrica[vrsta][1] - matrica[vrsta][2]+1)-(((matrica[vrsta][0]-matrica[vrsta][2]+1)*(matrica[vrsta][0]-matrica[vrsta][2]+2))/2)) >= 0){
                cout << "Tak" << endl;
            }       
        }
         else cout << "Nie" << endl;
    }

    return 0;
}